SDL_GetGamepadAxisFromString(3)

NAME
SDL_GetGamepadAxisFromString - Convert a string into SDL_GamepadAxis
 enum.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GamepadAxis SDL_GetGamepadAxisFromString(const char *str);

DESCRIPTION
This function is called internally to translate SDL_Gamepad mapping strings for the underlying joystick device into the consistent SDL_Gamepad
 mapping. You do not normally need to call this function unless you are parsing SDL_Gamepad
 mappings in your own code. Note specially that "righttrigger" and "lefttrigger" map to SDL_GAMEPAD_AXIS_RIGHT_TRIGGER and SDL_GAMEPAD_AXIS_LEFT_TRIGGER , respectively.

FUNCTION PARAMETERS

str string representing a SDL_Gamepad
     axis

RETURN VALUE
Returns the SDL_GamepadAxis
 enum corresponding to the input string, or SDL_GAMEPAD_AXIS_INVALID if no match was found.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadStringForAxis(3)